From 605d3a14d9423a19d8443b21a6f12e8ae32b55ce Mon Sep 17 00:00:00 2001
From: =?utf-8?q?S=C3=A9bastien=20Escudier?= <sebastien-devel@celeos.eu>
Date: Wed, 27 Oct 2010 13:58:30 +0200
Subject: [PATCH] Don't show libc version error if DISABLE_BUGGY_GLIBC_CHECK is defined

---
 src/misc/linux_specific.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/misc/linux_specific.c b/src/misc/linux_specific.c
index 1644ce6..a456097 100644
--- a/src/misc/linux_specific.c
+++ b/src/misc/linux_specific.c
@@ -91,6 +91,7 @@ static struct
 void system_Init (libvlc_int_t *libvlc, int *argc, const char *argv[])
 {
 #ifdef __GLIBC__
+#ifndef DISABLE_BUGGY_GLIBC_CHECK
     const char *glcv = gnu_get_libc_version ();
 
     /* gettext in glibc 2.5-2.7 is not thread-safe. LibVLC keeps crashing,
@@ -101,11 +102,10 @@ void system_Init (libvlc_int_t *libvlc, int *argc, const char *argv[])
         fputs ("LibVLC has detected an unusable buggy GNU/libc version.\n"
                "Please update to version 2.8 or newer.\n", stderr);
         fflush (stderr);
-#ifndef DISABLE_BUGGY_GLIBC_CHECK
         abort ();
-#endif
     }
 #endif
+#endif
 
     vlc_mutex_lock (&once.lock);
     if (once.refs++ == 0)
-- 
1.5.6.3

